/*
 * User Defined Function VLMatch: measures squared distance between two byte vectors of the fixed length
 *
 * Create Date: Dec 20, 2019
 */

#include <stdio.h>
#include <math.h>
#include <stdint.h>

#include "immintrin.h"
#include <x86intrin.h>

#include "distance.h"


float VLMatch(unsigned char *descriptorFst, unsigned char *descriptorSnd, unsigned short length) {
    return euclideanSqAVX((uint8_t *)descriptorFst, (uint8_t *)descriptorSnd, (uint32_t)length); 
}